# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/04-Settings

prod:
  .settings:
    no_script_name:         false
    logging_enabled:        false

dev:
  .settings:
    error_reporting:        <?php echo ((E_ALL | E_STRICT) ^ E_DEPRECATED)."\n" ?>
    web_debug:              true
    cache:                  false
    no_script_name:         false
    etag:                   false

test:
  .settings:
    error_reporting:        <?php echo ((E_ALL | E_STRICT) ^ E_NOTICE)."\n" ?>
    cache:                  false
    web_debug:              false
    no_script_name:         false
    etag:                   false

all:
  .settings:
    i18n: true
    charset: utf-8
    
    # Default culture
    default_culture: mn
    
    # Form security secret (CSRF protection)
    csrf_secret:            9317b6a38050ef56493fde50387d5cfc8d137579
    
    # Output escaping settings
    escaping_strategy:      true
    escaping_method:        ESC_SPECIALCHARS

    # Enable the database manager
    use_database:           true
    standard_helpers:       [ Partial, Cache, Url, Global, I18N ]
    
    login_module:           user   # To be called when a non-authenticated user
    login_action:           login  # Tries to access a secure page

    secure_module:          user   # To be called when a user doesn't have
    secure_action:          login  # The credentials required for an action

    error_404_module:       home
    error_404_action:       error404
